package com.kgraph.graph.mapper;

import java.util.List;
import java.util.Map;

import com.kgraph.graph.domain.SourceFile;

/**
 * 源文件管理Mapper接口
 * 
 * @author Allen
 * @date 2023-10-16
 */
public interface SourceFileMapper 
{
    /**
     * 查询源文件管理
     * 
     * @param id 源文件管理主键
     * @return 源文件管理
     */
    public SourceFile selectSourceFileById(Long id);

    /**
     * 查询源文件管理列表
     * 
     * @param sourceFile 源文件管理
     * @return 源文件管理集合
     */
    public List<SourceFile> selectSourceFileList(SourceFile sourceFile);

    /**
     * 新增源文件管理
     * 
     * @param sourceFile 源文件管理
     * @return 结果
     */
    public int insertSourceFile(SourceFile sourceFile);

    /**
     * 修改源文件管理
     * 
     * @param sourceFile 源文件管理
     * @return 结果
     */
    public int updateSourceFile(SourceFile sourceFile);

    /**
     * 删除源文件管理
     * 
     * @param id 源文件管理主键
     * @return 结果
     */
    public int deleteSourceFileById(Long id);

    /**
     * 批量删除源文件管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSourceFileByIds(Long[] ids);

    List getOptions();
}
